<template id="login">
  <b-container id="login">
    <b-row>
      <b-col></b-col>
      <b-col>
        <b-form @submit="onSubmit" @reset="onReset">
          <b-form-group id="input-group-1" label="Login:" label-for="input-1">
            <b-form-input
              id="input-1"
              v-model="form.username"
              type="email"
              required
              placeholder="Enter email"
            ></b-form-input>
          </b-form-group>
          <b-form-group>
            <b-input
              type="password"
              placeholder="Enter password"
              v-model="form.password"
              id="text-password"
              aria-describedby="password-help-block"
            ></b-input>
          </b-form-group>
          <b-button id="button" type="submit" variant="primary">Login</b-button>
          <b-button id="button" @click="register" variant="success">Register</b-button>
        </b-form>
      </b-col>
      <b-col></b-col>
    </b-row>
  </b-container>
</template>

<script>
export default {
  name: "LoginPage",
  data() {
    return {
      form: {
        username: "",
        password: ""
      }
    };
  },
  methods: {
    onSubmit(evt) {
      evt.preventDefault();
      let router = this.$router
      let form = this.form
      let bvToast = this.$bvToast

      let data = {
        form,
        router,
        bvToast
      }
      
      this.$store.dispatch('login/loginUser', data)
    },
    register() {
      this.$router.push({ path: '/register' })
    },
    onReset(evt) {
      evt.preventDefault();
      // Reset our form values
      this.form.username = "";
      this.form.password = "";
    }
  }
};
</script>

<style>
#login {
  margin-top: 60px;
  background-color: #a3e4d7;
  padding: 25px; 
}

#button {
  margin-right: 15px
}
</style>
